all: petitSnake


petitSnake: main.o cJeu.o cPoint.o cPomme.o cSerpent.o 
	mipsel-linux-g++ -o petitSnake main.o cJeu.o cPoint.o cPomme.o cSerpent.o -lSDL -lSDL_ttf -lSDL_mixer -o petitSnake 

main.o: main.cpp
	mipsel-linux-g++ main.cpp -c -o main.o 

cJeu.o: cJeu.cpp
	mipsel-linux-g++ cJeu.cpp -c -o cJeu.o 
	
cPoint.o: cPoint.cpp
	mipsel-linux-g++ cPoint.cpp -c -o cPoint.o

cPomme.o: cPomme.cpp
	mipsel-linux-g++ cPomme.cpp -c -o cPomme.o 

cSerpent.o: cSerpent.cpp
	mipsel-linux-g++ cSerpent.cpp -c -o cSerpent.o 

clean:
	rm *.o

mrproper: clean
	rm petitSnake

